import request from '@/utils/request'

// 查询轮班人员信息列表
export function listShiftPersonnel(query) {
  return request({
    url: '/info/shiftPersonnel/list',
    method: 'get',
    params: query
  })
}

// 查询轮班人员信息详细
export function getShiftPersonnel(personnelId) {
  return request({
    url: '/info/shiftPersonnel/' + personnelId,
    method: 'get'
  })
}

// 新增轮班人员信息
export function addShiftPersonnel(data) {
  return request({
    url: '/info/shiftPersonnel',
    method: 'post',
    data: data
  })
}

// 修改轮班人员信息
export function updateShiftPersonnel(data) {
  return request({
    url: '/info/shiftPersonnel',
    method: 'put',
    data: data
  })
}

// 删除轮班人员信息
export function delShiftPersonnel(personnelId) {
  return request({
    url: '/info/shiftPersonnel/' + personnelId,
    method: 'delete'
  })
}

// 导出轮班人员信息
export function exportShiftPersonnel(query) {
  return request({
    url: '/info/shiftPersonnel/export',
    method: 'get',
    params: query
  })
}
